package org.dromara.system.service;

import org.dromara.system.domain.RegisterSchoolFile;
import org.dromara.system.domain.vo.RegisterSchoolFileVo;
import org.dromara.system.domain.bo.RegisterSchoolFileBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 注册-学校-附件Service接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface IRegisterSchoolFileService {

    /**
     * 查询注册-学校-附件
     */
    RegisterSchoolFileVo queryById(Long id);

    /**
     * 查询注册-学校-附件列表
     */
    TableDataInfo<RegisterSchoolFileVo> queryPageList(RegisterSchoolFileBo bo, PageQuery pageQuery);

    /**
     * 查询注册-学校-附件列表
     */
    List<RegisterSchoolFileVo> queryList(RegisterSchoolFileBo bo);

    /**
     * 新增注册-学校-附件
     */
    Boolean insertByBo(RegisterSchoolFileBo bo);

    /**
     * 修改注册-学校-附件
     */
    Boolean updateByBo(RegisterSchoolFileBo bo);

    /**
     * 校验并批量删除注册-学校-附件信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
